> For the complete documentation index, see [llms.txt](https://developers.yumpu.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.yumpu.com/api/getting-started/documentapi.md).

# Document API

## Document API

### [Upload Document](/api/document/documentpostfile.md)

&#x20;To get started using Yumpu you need a user and then can start uploading documents using the API. The Document Upload API gives you the possibility to create, edit and display your documents. Using Yumpu you can then select from several Players for desktop and mobile devices.\
\
&#x20;[Upload Document via file](/api/document/documentpostfile.md) CALL: DOCUMENT POST FILE\
&#x20;[Upload Document via Url](/api/document/documentposturl.md) CALL: DOCUMENT POST URL\
&#x20;[Get Document Category List](/api/document-categories.md) CALL: DOCUMENT GET CATEGORIES\
&#x20;[Get Document Language List](/api/document-languages.md) CALL: DOCUMENT GET LANGUAGES\
&#x20;[Get current Render Status](/api/document-progress.md) CALL: DOCUMENT GET Render Status<br>

### [Manage Documents](/api/document/documentget.md)

&#x20;Pull documents you already got inside your account. They can be uploaded and managed both manually and via Data API from any web platform.\
\
&#x20;[Get a single Document](/api/document/documentget.md) CALL: DOCUMENT GET\
&#x20;[Update Document Data](/api/document/documentput.md) CALL: DOCUMENT PUT\
&#x20;[Delete a Document](/api/document/documentdelete.md) CALL: DOCUMENT DELETE<br>

### [List Documents](/api/documents/documentsget.md)

&#x20;Get an overview of documents that are stored in your account. Use this command as a basis for other requests to manage, display or modify your documents.\
\
&#x20;[Load a Document List](/api/documents/documentsget.md) CALL: DOCUMENTS GET<br>

### [Organize documents with collections](/api/collection/collectionget.md)

&#x20;Collections are used to hold Sections for your APP or WEBKiosk. Collections are like Folders and can hold Subfolders, or Sections how we call them. Sections in turn then can hold Documents.\
\
&#x20;[List Collection](/api/collection/collectionget.md) CALL: GET COLLECTION\
&#x20;[Create Collection](/api/collection/collectionpost.md) CALL:POST COLLECTION\
&#x20;[Update Collection](/api/collection/collectionput.md) CALL: PUT COLLECTION\
&#x20;[Delete Collection](/api/collection/collectiondelete.md) CALL: DELETE COLLECTION\
\
&#x20;[List Collections](/api/collections/collectionsget.md) Listing all Collections gives an overview of all collections that have been ceated so far. This gives you quickly a good overview of the existing Folders and allows you to create subfolders, or Sections from there.\
&#x20;[List all my Collections](/api/collections/collectionsget.md) CALL: GET COLLECTIONS<br>

### [Sections are Subgroups of Collections](/api/section/sectionget.md)

&#x20;Sections are used to organize Documents. They are like Subfolders and can hold documents. Sections always need to sit inside a collection and can be pulled in formats json and xml. You can get this in data-format, or you can directly use it for your WEBKiosk or APPKiosk.\
\
&#x20;[List Section](/api/section/sectionget.md) CALL: SECTION GET\
&#x20;[Create Section](/api/section/sectionpost.md) CALL: SECTION POST\
&#x20;[Update Section](/api/section/sectionput.md) CALL: SECTION PUT\
&#x20;[Delete Section](/api/section/sectiondelete.md) CALL: SECTION DELETE<br>

### [Add Document to a Section](/api/section-document/sectiondocumentpost.md)

&#x20;Using the Section document command allows to add documents to these Subfolders. This helps you organize and later pull several documents in a sorted form. You can get this data as json or xml list, or you can directly use it for your WEBKiosk or APPKiosk.[\ <br>](http://developers.yumpu.com/sectionDocument/sectionDocumentGet.html) [Add Document](/api/section-document/sectiondocumentpost.md) CALL: SECTION DOCUMENT POST\
&#x20;[Delete Document](/api/section-document/sectiondocumentdelete.md) CALL: SECTION DOCUMENT DELETE<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.yumpu.com/api/getting-started/documentapi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
